// Custom Active USB Port Injector for Lenovo ThinkPad T440

//DefinitionBlock ("", "SSDT", 2, "X240", "USB", 0)
//{
    Device(UIAC)
    {
        Name(_HID, "UIA00000")

        Name(RMCF, Package()
        {
            "8086_9c31", Package()
            {
                "port-count", Buffer() { 13, 0, 0, 0 },
                "ports", Package()
                {
                    "HS01", Package()
                    {
                        "UsbConnector", 3, // USB3 Port 2.0 Speed
                        "port", Buffer() { 1, 0, 0, 0 },
                    },
                    "HS02", Package()
                    {
                        "UsbConnector", 3, // Keyboard
                        "port", Buffer() { 2, 0, 0, 0 },
                    },
                    "HS08", Package()
                    {
                        "UsbConnector", 255, // Integrated Camera
                        "port", Buffer() { 8, 0, 0, 0 },
                    },
                    "SSP1", Package()
                    {
                        "UsbConnector", 3, // USB 3 Port
                        "port", Buffer() { 10, 0, 0, 0 },
                    },
                    "SSP2", Package()
                    {
                        "UsbConnector", 3, // USB 3 Port
                        "port", Buffer() { 11, 0, 0, 0 },
                    },
                },
            },

        })
    }
//}
//EOF
